<?php

$baseUrl = "https://declaranet.api.congresoson.gob.mx";

$params = \Yii::$app->params;
$url = "#";
if(isset($params["url"])) {
  $url = $params["url"];
}
$anoActual = intval(date("Y"));
$anoAnterior = $anoActual - 1;

$fecha = new \DateTime('now', new \DateTimeZone('America/Hermosillo'));
$meses = [
  "01" => "Enero",
  "02" => "Febrero",
  "03" => "Marzo",
  "04" => "Abril",
  "05" => "Mayo",
  "06" => "Junio",
  "07" => "Julio",
  "08" => "Agosto",
  "09" => "Septiembre",
  "10" => "Octubre",
  "11" => "Noviembre",
  "12" => "Diciembre",
];
$mes = "";
$m = $fecha->format("m");
if(isset($meses[$m])) {
  $mes = $meses[$m];
}

?>
<style type="text/css">
  @media only screen and (min-width: 620px) {
    .u-row {
      width: 1000px !important;
    }

    .u-row .u-col {
      vertical-align: top;
    }

    .u-row .u-col-49p17 {
      width: 295.02px !important;
    }

    .u-row .u-col-50p83 {
      width: 304.98px !important;
    }

    .u-row .u-col-100 {
      width: 1000px !important;
    }

  }

  @media (max-width: 620px) {
    .u-row-container {
      max-width: 100% !important;
      padding-left: 0px !important;
      padding-right: 0px !important;
    }

    .u-row .u-col {
      min-width: 320px !important;
      max-width: 100% !important;
      display: block !important;
    }

    .u-row {
      width: calc(100% - 40px) !important;
    }

    .u-col {
      width: 100% !important;
    }

    .u-col>div {
      margin: 0 auto;
    }
  }

  body {
    margin: 0;
    padding: 0;
  }

  table,
  tr,
  td {
    vertical-align: top;
    border-collapse: collapse;
  }

  p {
    margin: 0;
  }

  .ie-container table,
  .mso-container table {
    table-layout: fixed;
  }

  * {
    line-height: inherit;
  }

  a[x-apple-data-detectors='true'] {
    color: inherit !important;
    text-decoration: none !important;
  }

  @media (max-width: 480px) {
    .hide-mobile {
      max-height: 0px;
      overflow: hidden;
      display: none !important;
    }

  }

  table,
  td {
    color: #000000;
  }

  a {
    color: #0000ee;
    text-decoration: underline;
  }

  @media (max-width: 480px) {
    #u_content_image_1 .v-src-width {
      width: auto !important;
    }

    #u_content_image_1 .v-src-max-width {
      max-width: 44% !important;
    }

    #u_content_image_2 .v-container-padding-padding {
      padding: 30px 40px 0px 0px !important;
    }

    #u_content_heading_1 .v-container-padding-padding {
      padding: 30px 22px 10px !important;
    }

    #u_content_heading_1 .v-text-align {
      text-align: center !important;
    }

    #u_content_text_1 .v-container-padding-padding {
      padding: 10px 22px 20px !important;
    }

    #u_content_text_1 .v-text-align {
      text-align: center !important;
    }

    #u_content_button_2 .v-text-align {
      text-align: center !important;
    }

    #u_content_heading_2 .v-container-padding-padding {
      padding: 50px 22px 10px !important;
    }

    #u_content_heading_2 .v-text-align {
      text-align: left !important;
    }

    #u_content_text_2 .v-container-padding-padding {
      padding: 10px 22px !important;
    }

    #u_content_text_3 .v-container-padding-padding {
      padding: 10px 22px 60px !important;
    }

    #u_content_menu_2 .v-padding {
      padding: 6px 20px !important;
    }

    #u_content_text_4 .v-container-padding-padding {
      padding: 10px 22px 40px !important;
    }
  }
  body {
    width: 100%;
    height: 100%;
    background-color: #f1f1f1;
  }
</style>



<!--[if !mso]><!-->
<link href="https://fonts.googleapis.com/css?family=Lato:400,700&display=swap" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700&display=swap" rel="stylesheet" type="text/css">
<link href="https://fonts.googleapis.com/css?family=Pacifico&display=swap" rel="stylesheet" type="text/css">
<!--<![endif]-->

<!--[if IE]><div class="ie-container"><![endif]-->
<!--[if mso]><div class="mso-container"><![endif]-->
<table style="border-collapse: collapse;table-layout: fixed;border-spacing: 0;mso-table-lspace: 0pt;mso-table-rspace: 0pt;vertical-align: top;min-width: 320px;Margin: 0 auto;background-color: #f1f1f1;width:100%" cellpadding="0" cellspacing="0">
  <tbody>
    <tr style="vertical-align: top">
      <td style="word-break: break-word;border-collapse: collapse !important;vertical-align: top">
        <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td align="center" style="background-color: #f1f1f1;"><![endif]-->


        <div class="u-row-container" style="padding: 0px;background-color: transparent">
          <div class="u-row" style="Margin: 0 auto;min-width: 320px;max-width: 1000px;overflow-wrap: break-word;word-wrap: break-word;word-break: break-word;background-color: #ffffff;">
            <div style="border-collapse: collapse;display: table;width: 100%;background-color: transparent;">
              <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding: 0px;background-color: transparent;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width:600px;"><tr style="background-color: #0d3880;"><![endif]-->

              <!--[if (mso)|(IE)]><td align="center" width="600" style="width: 600px;padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;" valign="top"><![endif]-->
              <div class="u-col u-col-100" style="max-width: 320px;min-width: 600px;display: table-cell;vertical-align: top;">
                <div style="width: 100% !important;">
                  <!--[if (!mso)&(!IE)]><!-->
                  <div style="padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;">
                    <!--<![endif]-->

                    <table id="u_content_image_1" style="font-family:arial,helvetica,sans-serif;" role="presentation" cellpadding="0" cellspacing="0" width="100%" border="0">
                      <tbody>
                        <tr>
                          <td class="v-container-padding-padding" style="overflow-wrap:break-word;word-break:break-word;padding:30px 10px 30px 33px;font-family:arial,helvetica,sans-serif;" align="left">

                            <table width="100%" cellpadding="0" cellspacing="0" border="0">
                              <tr>
                                <td class="v-text-align" style="padding-right: 0px;padding-left: 0px;width:30%;" align="left">
                                  <a href="<?= $url ?>" target="_blank">
                                    <img align="left" border="0" src="<?= $baseUrl ?>/img/congresoson.png" alt="Logo" title="Logo" style="outline: none;text-decoration: none;-ms-interpolation-mode: bicubic;clear: both;display: inline-block !important;border: none;height: auto;float: none;width: 300px;" class="v-src-width v-src-max-width" />
                                  </a>
                                </td>
                                <td style="padding: 0 10px; vertical-align: middle; text-align: right;">
                                  <p style="font-size: 14px; line-height: 170%;"><span style="font-family: Lato, sans-serif; font-size: 18px; line-height: 30.6px;"><strong>Hermosillo, Sonora a <?= $fecha->format("d") ?> de <?= $mes ?> de <?= $anoActual ?></strong></span></p>
                                  <p style="font-size: 14px; line-height: 170%;"><span style="font-family: Lato, sans-serif; font-size: 18px; line-height: 30.6px;"><strong>ASUNTO: Informe Segundo Trimestre 2023</strong></span></p>
                                </td>
                              </tr>
                            </table>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!--[if (!mso)&(!IE)]><!-->
                  </div>
                  <!--<![endif]-->
                </div>
              </div>
              <!--[if (mso)|(IE)]></td><![endif]-->
              <!--[if (mso)|(IE)]></tr></table></td></tr></table><![endif]-->
            </div>
          </div>
        </div>

        <div class="u-row-container" style="padding: 0px;background-color: transparent">
          <div class="u-row" style="Margin: 0 auto;min-width: 320px;max-width: 1000px;overflow-wrap: break-word;word-wrap: break-word;word-break: break-word;background-color: #ffffff;">
            <div style="border-collapse: collapse;display: table;width: 100%;background-color: transparent;">
              <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding: 0px;background-color: transparent;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width:600px;"><tr style="background-color: #ffffff;"><![endif]-->

              <!--[if (mso)|(IE)]><td align="center" width="600" style="width: 600px;padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;" valign="top"><![endif]-->
              <div class="u-col u-col-100" style="max-width: 320px;min-width: 600px;display: table-cell;vertical-align: top;">
                <div style="width: 100% !important;">
                  <!--[if (!mso)&(!IE)]><!-->
                  <div style="padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;">
                    <!--<![endif]-->

                    <table id="u_content_heading_2" style="font-family:arial,helvetica,sans-serif;" role="presentation" cellpadding="0" cellspacing="0" width="100%" border="0">
                      <tbody>
                        <tr>
                          <td class="v-container-padding-padding" style="overflow-wrap:break-word;word-break:break-word;padding: 0px 44px 10px;font-family:arial,helvetica,sans-serif;" align="left">

                            <h1 class="v-text-align" style="margin: 0px; color: #333333; line-height: 140%; text-align: left; word-wrap: break-word; font-weight: normal; font-family: 'Lato',sans-serif; font-size: 20px;">
                              <strong>CC. DIRECTORES, SUBDIRECTORES Y JEFES DE DEPARTAMENTO</strong><br>
                              <strong>DEL CONGRESO DEL ESTADO</strong><br>
                              <strong>PRESENTE:</strong>
                            </h1>

                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <br>

                    <table id="u_content_text_2" style="font-family:arial,helvetica,sans-serif;" role="presentation" cellpadding="0" cellspacing="0" width="100%" border="0">
                      <tbody>
                        <tr>
                          <td class="v-container-padding-padding" style="overflow-wrap:break-word;word-break:break-word;padding:10px 44px;font-family:arial,helvetica,sans-serif;" align="left">
                            <div class="v-text-align" style="line-height: 170%; text-align: left; word-wrap: break-word; text-align: justify;">
                              <p style="font-size: 14px; line-height: 170%;"><span style="font-family: Lato, sans-serif; font-size: 18px; line-height: 30.6px;">&emsp;&emsp;Por medio del presente me permito hacer de su conocimiento que para cumplir con lo que establece el Artículo 192, Fracción XIII de la Ley Orgánica del Poder Legislativo del Estado de Sonora, la Ley General de Contabilidad Gubernamental, la Ley de Contabilidad Gubernamental del Estado de Sonora, la Ley de Presupuesto de Egresos y Gasto Público y la Ley de Disciplina Financiera de las Entidades Federativas y Municipios, y con el mismo Programa Operativo Anual 2023, le solicito por este conducto a Usted, la información correspondiente para la integración del Segundo Informe Trimestral 2023.</span></p>
                              <br>
                              <p style="font-size: 14px; line-height: 170%;"><span style="font-family: Lato, sans-serif; font-size: 18px; line-height: 30.6px;">&emsp;&emsp;Se requiere presente la información generada durante el Segundo Trimestre del 2023 a más tardar el día miércoles 5 de Julio de 2023, para estar en condiciones de cumplir con las fechas establecidas en la normatividad mencionada.</span></p>
                              <br>
                              <p style="font-size: 14px; line-height: 170%;"><span style="font-family: Lato, sans-serif; font-size: 18px; line-height: 30.6px;">&emsp;&emsp;Cada unidad administrativa que depende de Oficialía Mayor del Congreso del Estado de Sonora será responsable de registrar de manera digital su información respectiva, la cual deberá ingresar en el Sistema Integral de Documentación e Información del Congreso del Estado (SIDICE) disponible en: <a target="_blank" href="https://sidice.congresoson.gob.mx">https://sidice.congresoson.gob.mx</a>. Se pide que una vez que haya sido registrada la información, ingresar al menú "Imprimir Indicador", proceder a imprimir la hoja de registro, firmarla y entregarla físicamente en el Departamento de Evaluación del Desempeño Legislativo.</span></p>
                              <br>
                              <p style="font-size: 14px; line-height: 170%;"><span style="font-family: Lato, sans-serif; font-size: 18px; line-height: 30.6px;">&emsp;&emsp;Sin más por el momento, quedo a sus apreciables órdenes para cualquier aclaración al respecto.</span></p>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <br>

                    <table id="u_content_heading_2" style="font-family:arial,helvetica,sans-serif;" role="presentation" cellpadding="0" cellspacing="0" width="100%" border="0">
                      <tbody>
                        <tr>
                          <td class="v-container-padding-padding" style="overflow-wrap:break-word;word-break:break-word;padding: 0px 44px 10px;font-family:arial,helvetica,sans-serif;" align="left">

                            <h1 class="v-text-align" style="margin: 0px; color: #333333; line-height: 140%; text-align: center; word-wrap: break-word; font-weight: normal; font-family: 'Lato',sans-serif; font-size: 20px;">
                              <strong>ATENTAMENTE</strong><br><br>
                              <strong>LIC. JULIO CÉSAR NAVARRO CONTRERAS</strong><br>
                            </h1>

                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <br>

                    <!--[if (!mso)&(!IE)]><!-->
                  </div>
                  <!--<![endif]-->
                </div>
              </div>
              <!--[if (mso)|(IE)]></td><![endif]-->
              <!--[if (mso)|(IE)]></tr></table></td></tr></table><![endif]-->
            </div>
          </div>
        </div>


        <div class="u-row-container" style="padding: 0px;background-color: transparent">
          <div class="u-row" style="Margin: 0 auto;min-width: 320px;max-width: 1000px;overflow-wrap: break-word;word-wrap: break-word;word-break: break-word;background-color: #2a2929;">
            <div style="border-collapse: collapse;display: table;width: 100%;background-color: transparent;">
              <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding: 0px;background-color: transparent;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width:600px;"><tr style="background-color: #2a2929;"><![endif]-->

              <!--[if (mso)|(IE)]><td align="center" width="600" style="width: 600px;padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;" valign="top"><![endif]-->
              <div class="u-col u-col-100" style="max-width: 320px;min-width: 600px;display: table-cell;vertical-align: top;">
                <div style="width: 100% !important;">
                  <!--[if (!mso)&(!IE)]><!-->
                  <div style="padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;">
                    <!--<![endif]-->

                    <table style="font-family:arial,helvetica,sans-serif;" role="presentation" cellpadding="0" cellspacing="0" width="100%" border="0">
                      <tbody>
                        <tr>
                          <td class="v-container-padding-padding" style="overflow-wrap:break-word;word-break:break-word;padding:50px 10px;font-family:arial,helvetica,sans-serif;" align="left">

                            <div class="v-text-align" style="color: #adadac; line-height: 190%; text-align: center; word-wrap: break-word;">

                              <p style="font-size: 14px; line-height: 190%;">
                                <span style="font-family: Lato, sans-serif; font-size: 16px; line-height: 30.4px;">Tehuantepec y Allende, Colonia Las Palmas, C.P. 83270, Hermosillo, Sonora, México.</span><br />
                                <!-- <span style="font-family: Lato, sans-serif; font-size: 16px; line-height: 30.4px;">Si tiene dudas también puede contar con asesoría enviando un correo a la dirección: <a style="color: white" href="mailto:declaranet@congresoson.gob.mx">declaranet@congresoson.gob.mx</a></span> -->
                            </div>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!--[if (!mso)&(!IE)]><!-->
                  </div>
                  <!--<![endif]-->
                </div>
              </div>
              <!--[if (mso)|(IE)]></td><![endif]-->
              <!--[if (mso)|(IE)]></tr></table></td></tr></table><![endif]-->
            </div>
          </div>
        </div>



        <div class="u-row-container" style="padding: 0px;background-color: transparent">
          <div class="u-row" style="Margin: 0 auto;min-width: 320px;max-width: 1000px;overflow-wrap: break-word;word-wrap: break-word;word-break: break-word;background-color: transparent;">
            <div style="border-collapse: collapse;display: table;width: 100%;background-color: transparent;">
              <!--[if (mso)|(IE)]><table width="100%" cellpadding="0" cellspacing="0" border="0"><tr><td style="padding: 0px;background-color: transparent;" align="center"><table cellpadding="0" cellspacing="0" border="0" style="width:600px;"><tr style="background-color: transparent;"><![endif]-->

              <!--[if (mso)|(IE)]><td align="center" width="600" style="width: 600px;padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;" valign="top"><![endif]-->
              <div class="u-col u-col-100" style="max-width: 320px;min-width: 600px;display: table-cell;vertical-align: top;">
                <div style="width: 100% !important;">
                  <!--[if (!mso)&(!IE)]><!-->
                  <div style="padding: 0px;border-top: 0px solid transparent;border-left: 0px solid transparent;border-right: 0px solid transparent;border-bottom: 0px solid transparent;">
                    <!--<![endif]-->

                    <table style="font-family:arial,helvetica,sans-serif;" role="presentation" cellpadding="0" cellspacing="0" width="100%" border="0">
                      <tbody>
                        <tr>
                          <td class="v-container-padding-padding" style="overflow-wrap:break-word;word-break:break-word;padding:10px;font-family:arial,helvetica,sans-serif;" align="left">

                            <table height="0px" align="center" border="0" cellpadding="0" cellspacing="0" width="100%" style="border-collapse: collapse;table-layout: fixed;border-spacing: 0;mso-table-lspace: 0pt;mso-table-rspace: 0pt;vertical-align: top;border-top: 0px solid #BBBBBB;-ms-text-size-adjust: 100%;-webkit-text-size-adjust: 100%">
                              <tbody>
                                <tr style="vertical-align: top">
                                  <td style="word-break: break-word;border-collapse: collapse !important;vertical-align: top;font-size: 0px;line-height: 0px;mso-line-height-rule: exactly;-ms-text-size-adjust: 100%;-webkit-text-size-adjust: 100%">
                                    <span>&#160;</span>
                                  </td>
                                </tr>
                              </tbody>
                            </table>

                          </td>
                        </tr>
                      </tbody>
                    </table>

                    <!--[if (!mso)&(!IE)]><!-->
                  </div>
                  <!--<![endif]-->
                </div>
              </div>
              <!--[if (mso)|(IE)]></td><![endif]-->
              <!--[if (mso)|(IE)]></tr></table></td></tr></table><![endif]-->
            </div>
          </div>
        </div>


        <!--[if (mso)|(IE)]></td></tr></table><![endif]-->
      </td>
    </tr>
  </tbody>
</table>
<!--[if mso]></div><![endif]-->
<!--[if IE]></div><![endif]-->