<?php

use yii\db\Migration;

/**
 * Class m240516_235323_fin_tipo_movilizacion
 */
class m240516_235323_fin_tipo_movilizacion extends Migration {
    /**
     * {@inheritdoc}
     */
    public function safeUp() {
        $this->createTable("FinMovilizacion", [
            "id" => $this->string(36),
            "nombre" => $this->string(100),
            "idSagarhpa" => $this->integer(),
            "creado" => $this->timestamp(),
            "modificado" => $this->timestamp(),
            "eliminado" => $this->timestamp(),
        ]);

        $this->addPrimaryKey("FinMovilizacionPK", "FinMovilizacion", "id");

        $this->createTable("TipoMovilizacion", [
            "id" => $this->string(36),
            "nombre" => $this->string(100),
            "idSagarhpa" => $this->integer(),
            "creado" => $this->timestamp(),
            "modificado" => $this->timestamp(),
            "eliminado" => $this->timestamp(),
        ]);

        $this->addPrimaryKey("TipoMovilizacionPK", "TipoMovilizacion", "id");
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown() {
        $this->dropPrimaryKey("FinMovilizacionPK", "FinMovilizacion");
        $this->dropPrimaryKey("TipoMovilizacionPK", "TipoMovilizacion");

        $this->dropTable("FinMovilizacion");
        $this->dropTable("TipoMovilizacion");
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240516_235323_fin_tipo_movilizacion cannot be reverted.\n";

        return false;
    }
    */
}
