<?php

use yii\db\Migration;

/**
 * Class m240517_232504_relaciones_condicionantes
 */
class m240517_232504_relaciones_condicionantes extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addForeignKey("CondicionanteDestinoCondicionanteFK", "CondicionanteDestino", "idCondicionante", "Condicionante", "id");
        $this->addForeignKey("CondicionanteDestinoDestinoFK", "CondicionanteDestino", "idDestino", "Estado", "id");
        $this->addForeignKey("CondicionanteOrigenCondicionanteFK", "CondicionanteOrigen", "idCondicionante", "Condicionante", "id");
        $this->addForeignKey("CondicionanteOrigenOrigenFK", "CondicionanteOrigen", "idOrigen", "Estado", "id");
        $this->addForeignKey("CondicionanteTipoCondicionanteFK", "CondicionanteTipo", "idCondicionante", "Condicionante", "id");
        $this->addForeignKey("CondicionanteTipoTipoFK", "CondicionanteTipo", "idTipo", "TipoMovilizacion", "id");
        $this->addForeignKey("CondicionanteFinCondicionanteFK", "CondicionanteFin", "idCondicionante", "Condicionante", "id");
        $this->addForeignKey("CondicionanteFinFinFK", "CondicionanteFin", "idFin", "FinMovilizacion", "id");

    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey("CondicionanteDestinoCondicionanteFK", "CondicionanteDestino");
        $this->dropForeignKey("CondicionanteDestinoDestinoFK", "CondicionanteDestino");
        $this->dropForeignKey("CondicionanteOrigenCondicionanteFK", "CondicionanteOrigen");
        $this->dropForeignKey("CondicionanteOrigenOrigenFK", "CondicionanteOrigen");
        $this->dropForeignKey("CondicionanteTipoCondicionanteFK", "CondicionanteTipo");
        $this->dropForeignKey("CondicionanteTipoTipoFK", "CondicionanteTipo");
        $this->dropForeignKey("CondicionanteFinCondicionanteFK", "CondicionanteFin");
        $this->dropForeignKey("CondicionanteFinFinFK", "CondicionanteFin");
    }

    /*
    // Use up()/down() to run migration code without a transaction.
    public function up()
    {

    }

    public function down()
    {
        echo "m240517_232504_relaciones_condicionantes cannot be reverted.\n";

        return false;
    }
    */
}
