<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "FinMovilizacion".
 *
 * @property string $id
 * @property string|null $nombre
 * @property int|null $idSagarhpa
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 */
class FinMovilizacion extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'FinMovilizacion';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id'], 'required'],
            [['idSagarhpa'], 'default', 'value' => null],
            [['idSagarhpa'], 'integer'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id'], 'string', 'max' => 36],
            [['nombre'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'idSagarhpa' => 'Id Sagarhpa',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
