<?php

namespace excel\controllers;

use excel\web\Controller;
use v1\models\RecursoRevision;

class RecursoRevisionController extends Controller {

  public function actionIndex() {
    $id = $this->req->get("id", "");

    $recurso = RecursoRevision::findOne($id);

    if (!$recurso) {
      throw new \yii\web\NotFoundHttpException("No se encontró el recurso de revisión");
    }

    return $this->renderPartial("formato", [
      "recurso" => $recurso,
    ]);
  }

}
