<?php

/**
 * @var \yii\web\View $this
 * @var \v1\models\Aclaracion $aclaracion
 * @var \v1\models\Usuario $solicitante
 */
setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";

$primerApellido = '';
$segundoApellido = '';
$nombre = '';

$nombreCompleto = $solicitante->nombre;

$nombreCompleto = explode(' ', $nombreCompleto);

if (count($nombreCompleto) === 2) {
  $primerApellido = $nombreCompleto[1];
  $nombre = $nombreCompleto[0];
} else if (count($nombreCompleto) === 3) {
  $primerApellido = $nombreCompleto[2];
  $segundoApellido = $nombreCompleto[1];
  $nombre = $nombreCompleto[0];
} else if (count($nombreCompleto) === 4) {
  $primerApellido = $nombreCompleto[3];
  $segundoApellido = $nombreCompleto[2];
  $nombre = $nombreCompleto[0] . ' ' . $nombreCompleto[1];
}

?>
<div class="container">
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td colspan="2" class="col-table-12 td-border" style="text-align: center; background:#cccccc; padding:9px 0">
        <strong>DATOS DEL SOLICITANTE</strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border acuse td-padding">
    <tr>
      <td class="col-table-4" style="text-align: center;padding-top: 40px;border-bottom: 1px solid black">
        <?= $primerApellido ?><br>
      </td>
      <td class="col-table-4" style="text-align: center;padding-top: 40px;border-bottom: 1px solid black">
        <?= $segundoApellido ?><br>
      </td>
      <td class="col-table-4" style="text-align: center;padding-top: 40px;border-bottom: 1px solid black">
        <?= $nombre ?><br>
      </td>
    </tr>
    <tr>
      <td class="col-table-4" style="text-align: center">
        <strong>APELLIDO PATERNO</strong>
      </td>
      <td class="col-table-4" style="text-align: center">
        <strong>APELLIDO MATERNO</strong>
      </td>
      <td class="col-table-4" style="text-align: center">
        <strong>NOMBRE(S)</strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#cccccc;">
        <strong>FECHA EN QUE SE TUVO CONOCIMIENTO DEL ACTO IMPUGNADO (dd /mm /aaaa) </strong>
      </td>
      <td class="col-table-4">
        <?php
        $date = new DateTime($aclaracion->creado);
        echo $date->format('d-m-Y')
        ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#cccccc;">
        <strong>NÚMERO DE FOLIO O EXPEDIENTE DE LA SOLICITUD </strong>
      </td>
      <td class="col-table-4">
        <?= $aclaracion->solicitud->folio ?>
        <!-- 00004/INFOSONORA/IP/2023 -->
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>DATOS A COMPLETAR, CORREGIR, AMPLIAR O ACLARAR</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
    <tr>
      <td colspan="12" style="text-align: justify;">
        <?= $aclaracion->solicitudAclaracion ?>
        <!-- no fue claro la orientación a un trámite -->
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td class="td-border" style=" background:#cccccc;">
        <strong>DOCUMENTOS ANEXOS</strong>
      </td>
    </tr>
    <tr>
      <td>
        <ul>
          <?php foreach ($aclaracion->media as $media) : ?>
            <li>
              <a href="<?= $media->ruta ?>" target="_blank">
                <?= $media->nombre ?>
              </a>
            </li>
          <?php endforeach ?>
        </ul>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>NÚMERO DE ACLARACIÓN</strong>
      </td>
      <td class="col-table-4 td-border">
        <?= $aclaracion->solicitud->folio ?>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>CLAVE DE ENTREGA DE LA ACLARACIÓN</strong>
      </td>
      <td class="col-table-4 td-border">
        000042023001102500004205
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
</div>