<?php

namespace app\modules\mail\controllers;

use v1\models\RecursoRevision;
use v1\models\Solicitud;
use v1\models\SolicitudAcuse;

class VistaPreviaController extends \yii\web\Controller {

  public function actionIndex() {
    $req = \Yii::$app->getRequest();
    $archivo = $req->get("archivo", "ejemplo/html");

    return $this->render("@app/modules/mail/views/{$archivo}");
  }

  public function actionCuerpo() {
    return $this->render("@app/modules/mail/views/layouts/cuerpo", ["cuerpo" => "<h1>Hola mundo</h1>"]);
  }

  public function actionPruebaCorreo() {
    $modelo = Solicitud::findOne('e03b89a0-09a1-4f9e-9d78-827f5004b048');
    return $this->render("@app/modules/mail/views/layouts/cuerpo", ["cuerpo" => $this->renderPartial("@app/modules/v1/views/solicitud/acuse", ["solicitud" => $modelo, "usuario" => $modelo->usuario])]);
  }

  public function actionPruebaCorreoRr() {
    $modelo = RecursoRevision::findOne('1fc99a78-23e6-4a92-8a97-0ca81a171f02');
    return $this->render("@app/modules/mail/views/layouts/cuerpo", ["cuerpo" => $this->renderPartial("@app/modules/v1/views/recurso-revision/acuse", ["recurso" => $modelo/* , "usuario" => $modelo->usuario */])]);
  }

  public function actionPruebaAcuse() {
    $modelo = SolicitudAcuse::findOne('e1a66644-81b7-4824-838b-85ef34f83f75');
    return $this->render("@app/modules/mail/views/layouts/cuerpo", ["cuerpo" => $this->renderPartial("@app/modules/v1/views/solicitud-acuse/correo", ["modelo" => $modelo])]);
  }
}
