<?php

namespace v1\models;

use app\models\ColeccionPermisoPermiso as ModeloColeccionPermisoPermiso;

class ColeccionPermisoPermiso extends ModeloColeccionPermisoPermiso {

	public function fields() {
		return [
			'idColeccion',
      'idPermiso',
      'creado',
      'modificado',
      'eliminado',
		];
	}

	public function extraFields() {
		return [
			'coleccion',
			'permiso'
		];
	}

	public function getColeccion() {
    return $this->hasOne(ColeccionPermiso::class, ['id' => 'idColeccion']);
  }

  public function getPermiso() {
    return $this->hasOne(Permiso::class, ['id' => 'idPermiso']);
  }
}
