<?php

namespace v1\models;

use app\models\CondicionanteFin as ModelsCondicionanteFin;

class CondicionanteFin extends ModelsCondicionanteFin {
    public function fields() {
        return [
            'idFin',
            'idCondicionante',
            'creado',
            'modificado',
            'eliminado',
        ];
    }

    public function extraFields() {
        return [
            'fin'
        ];
    }

    public function getFin() {
        return $this->hasOne(FinMovilizacion::class, ['id' => 'idFin']);
    }
}
