<?php

namespace v1\models;

use app\models\CondicionanteOrigen as ModelsCondicionanteOrigen;

class CondicionanteOrigen extends ModelsCondicionanteOrigen {
    public function fields() {
        return [
            'idOrigen',
            'idCondicionante',
            'creado',
            'modificado',
            'eliminado',
        ];
    }

    public function extraFields() {
        return [
            'origen'
        ];
    }

    public function getOrigen() {
        return $this->hasOne(Estado::class, ['id' => 'idOrigen']);
    }
}
