<?php

namespace v1\models;

use app\models\CondicionanteTipo as ModelsCondicionanteTipo;

class CondicionanteTipo extends ModelsCondicionanteTipo {
    public function fields() {
        return [
            'idTipo',
            'idCondicionante',
            'creado',
            'modificado',
            'eliminado',
        ];
    }

    public function extraFields() {
        return [
            'tipo'
        ];
    }

    public function getTipo() {
        return $this->hasOne(TipoMovilizacion::class, ['id' => 'idTipo']);
    }
}
