<?php

namespace v1\models;

class Estado extends \app\models\Estado {

  public function fields() {
    return [
      "id",
      "nombre",
      "abreviacion",
      "creado",
      "modificado",
      "clave",
      "pais"
    ];
  }

  public function getMunicipios() {
    return $this->hasMany(Municipio::className(), ['idEstado' => 'idEstado'])->andWhere(["eliminado" => null]);
  }
}
