<?php

namespace v1\models;

use app\models\Media as ModeloPrograma;

class Media extends ModeloPrograma {

  public function fields() {
    return [
      'id',
      'idUsuario',
      'nombre',
      'uuid',
      'size',
      'mimetype',
      'ruta',
      'descripcion',
      'creado',
      'modificado',
      'eliminado',
      'extension',
    ];
  }

  public function extraFields() {
    return [
      'usuario'
    ];
  }

  public function getUsuario() {
    return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
  }
}
