<?php

namespace v1\models;

use app\models\NivelMunicipio as ModeloNivelMunicipio;

class NivelMunicipio extends ModeloNivelMunicipio {
	public function fields() {
		return [
			'id',
			'idMunicipio',
			'idNivel',
			'creado',
			'modificado',
			'eliminado',
		];
	}
	public function extraFields() {
		return [
			'municipio',
			'nivel'
		];
	}
	public function getMunicipio() {
		return $this->hasOne(Municipio::class, ['id' => 'idMunicipio']);
	}

	public function getNivel() {
		return $this->hasOne(Nivel::class, ['id' => 'idNivel']);
	}
}
