<?php

/**
 * @var \v1\models\SolicitudAcuse $modelo
 * @var \v1\models\SolicitudAcusePersonas $infoToken
 * 
 */

setlocale(LC_ALL, 'es_Es');
$basePath = \Yii::getAlias('@app') . "/web/";
?>

<style type="text/css">
	.cuerpo {
		font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
		display: flex;
		justify-content: center;
		flex-direction: column;
	}

	.titulo {
		margin: 1rem !important;
		text-align: center;
		width: 100%;
	}

	.visualizar-acuse {
		align-self: center;
		background-color: #863695;
		border-radius: .5rem;
		text-align: center;
		color: white;
		font-size: large;
		font-weight: bolder;
		text-decoration: none;
		padding: 1rem;
		width: 50%;
	}

	.informacion {
		align-self: center;
		text-align: center;
		margin: 1rem;
		font-weight: bold;
	}

	.fecha {
		margin: .5rem;
		align-self: center;
		font-weight: bold;
	}
</style>

<div style="font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;">
	<h3>
		Es necesario confirmar que ha recibido notificación del Acuse <?= $modelo->folioTransaccion ?>
	</h3>
	<p>
		Para ver mas información y confirmar dar click en el botón o directamente en el enlace
		<br>
		<a href="https://sistai.web.app/acuse-notificacion?token=<?= $infoToken->tokenRecepcion ?>" target="_blank">
			https://sistai.web.app/acuse-notificacion?token=<?= $infoToken->tokenRecepcion ?>
		</a>
	</p>
	<div style="background-color:#863695; width:50%; text-align:center; font-size:20px; font-weight:bold;border-radius: 5px; padding:5px; margin-left:auto; margin-right:auto; margin-top:10px; margin-bottom:10px;">
		<a style="color:white; text-decoration:none" href="https://sistai.web.app/acuse-notificacion?token=<?= $infoToken->tokenRecepcion ?>" target="_blank">
			Ver Acuse
		</a>
	</div>
	<p style="font-weight:bold; text-align:center;">
		<?php $tz = new DateTimeZone('America/Hermosillo');
		$fechaNotificacion = new DateTime();
		$fechaNotificacion->setTimezone($tz);
		$fechaNotificacion = $fechaNotificacion->format('d/m/Y H:i a');
		echo $fechaNotificacion
		?>
	</p>
</div>