<?php

/**
 * @var \yii\web\View $this
 * @var \v1\models\Solicitud $solicitud
 * @var \v1\models\Usuario $usuario
 */
setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";

$media = $solicitud->media;
$solicitante = $solicitud->usuario;

$modalidadEntrega = [
  ["id" => 1, "label" => "Portal ISTAI"],
  ["id" => 2, "label" => "CD-ROM (con costo)"],
  ["id" => 3, "label" => "Consulta Directa"],
  ["id" => 4, "label" => "Copias Certificadas (con costo)"],
  ["id" => 5, "label" => "Copias Simples (con costo)"],
  ["id" => 6, "label" => "Copia Digitalizada"],
  ["id" => 7, "label" => "Otro"],
];


$camposTabla = 30;
?>
<style type="text/css">
  .col,
  .col-1,
  .col-10,
  .col-11,
  .col-12,
  .col-2,
  .col-3,
  .col-4,
  .col-5,
  .col-6,
  .col-7,
  .col-8,
  .col-9,
  .col-auto,
  .col-lg,
  .col-lg-1,
  .col-lg-10,
  .col-lg-11,
  .col-lg-12,
  .col-lg-2,
  .col-lg-3,
  .col-lg-4,
  .col-lg-5,
  .col-lg-6,
  .col-lg-7,
  .col-lg-8,
  .col-lg-9,
  .col-lg-auto,
  .col-md,
  .col-md-1,
  .col-md-10,
  .col-md-11,
  .col-md-12,
  .col-md-2,
  .col-md-3,
  .col-md-4,
  .col-md-5,
  .col-md-6,
  .col-md-7,
  .col-md-8,
  .col-md-9,
  .col-md-auto,
  .col-sm,
  .col-sm-1,
  .col-sm-10,
  .col-sm-11,
  .col-sm-12,
  .col-sm-2,
  .col-sm-3,
  .col-sm-4,
  .col-sm-5,
  .col-sm-6,
  .col-sm-7,
  .col-sm-8,
  .col-sm-9,
  .col-sm-auto,
  .col-xl,
  .col-xl-1,
  .col-xl-10,
  .col-xl-11,
  .col-xl-12,
  .col-xl-2,
  .col-xl-3,
  .col-xl-4,
  .col-xl-5,
  .col-xl-6,
  .col-xl-7,
  .col-xl-8,
  .col-xl-9,
  .col-xl-auto {
    position: relative;
    width: 100%;
    display: inline;
    border: solid 1px #fff;
  }

  .container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    /* border: solid 1px #fff; */
  }

  .navbar-expand>.container,
  .navbar-expand>.container-fluid {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap
  }

  .navbar>.container,
  .navbar>.container-fluid {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between
  }

  .titulo {
    background-color: #000;
    color: #fff;
    text-align: center;
    font-size: 13pt;
    font-weight: bold;
    padding: 8px;
    height: 50px
  }

  .subtitulo1 {
    text-align: center;
    font-size: 12pt;
    font-weight: bold;
  }

  .subtitulo2 {
    border-bottom: 2px solid #90a4ae;
    text-align: justify;
    font-size: 12pt;
    font-weight: bold;
  }

  .perfil {
    width: 35% !important;
  }

  .datos {
    width: 65% !important;
  }

  .cell_color {
    border: 1px solid #b2b2b2;
    background-color: #fafafa;
    padding: 3px 5px;
    font-size: 0.85em;
  }

  .cell_datos {
    border: 1px solid #b2b2b2;
    font-size: 0.85em;
  }

  .cell_color_resumen {
    border: 1px solid #b2b2b2;
    background-color: #fafafa;
    text-align: center;
    font-size: 0.85em;
  }

  .tbl_datos {
    padding: 1px 3px;
    font-size: 10pt;
    border: 1px #000000 solid;
    border-collapse: collapse;
    font-family: Arial;
  }

  .tbl_conf {
    font-family: Arial;
  }

  .cell_detalles {
    font-size: 0.85em;
    text-align: justify;
  }

  .header-solicitud th {
    color: #ffffff;
    background-color: #4c5966;
    padding: 4px;
  }

  .table-solicitud {
    font-size: 10px;
    border-collapse: collapse;
    width: 100%
  }

  .table-guia {
    border-collapse: collapse;
    width: 900px
  }

  .table-firmas {
    font-size: 10px;
    text-align: center;
    width: 50%;
    height: 130px;
    vertical-align: bottom;
  }

  .table-solicitud-par {
    background: #ececec;
  }

  .table-solicitud td {
    padding: 10px;
  }

  .table-solicitud {
    border: 1px solid #000;
    border-collapse: collapse;
    margin: 0;
    vertical-align: middle;
    width: 97%;
    font-size: 18px;
  }

  .table-acuse {
    margin: 0;
    vertical-align: middle;
    width: 97%;
    font-size: 20px;
  }


  .table-oficio {
    margin: 0;
    vertical-align: middle;
    width: 97%;
    font-size: 23px;
  }

  .table-solicitud td {
    border: 1px solid #000;
  }

  .clearfix-table {
    margin: 5px
  }

  .td-center {
    text-align: center;
  }

  .td-border {
    border: 1px solid #000;
  }

  .td-padding td {
    padding: 8px 0;
  }

  .td-subrayado {
    border-bottom: 2px solid #000;
  }

  .td-no-borde {
    border: none !important;
  }

  .col-table-1 {
    width: 100px
  }

  .col-table-2 {
    width: 200px
  }

  .col-table-3 {
    width: 300px
  }

  .col-table-4 {
    width: 400px
  }

  .col-table-5 {
    width: 500px
  }

  .col-table-6 {
    width: 600px
  }

  .col-table-7 {
    width: 700px
  }

  .col-table-8 {
    width: 800px
  }

  .col-table-9 {
    width: 900px
  }

  .col-table-10 {
    width: 1000px
  }

  .col-table-11 {
    width: 1100px
  }

  .col-table-12 {
    width: 97%
  }

  .row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
    float: left;
    border: solid 1px #fff;
  }

  .col-xl-auto {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
    max-width: 100%;
  }

  .col-1 {
    max-width: 8.333333%;
    width: 3.8%;
    float: left;
  }

  .col-2 {
    max-width: 16.666667%;
    width: 9.7%;
    float: left;
  }

  .col-3 {
    width: 24.6%;
    float: left;
  }

  .col-4 {
    max-width: 33.333333%;
    width: 28.55% !important;
    float: left;
  }

  .col-5 {
    max-width: 41.666667%;
    width: 39%;
    float: left;
  }

  .col-6 {
    width: 49.6%;
    float: left;
  }

  .col-req-3 {
    width: 19%;
    float: left;
    display: inline-block;
  }

  .col-req-6 {
    width: 48%;
    float: left;
    display: inline-block;
  }

  .col-7 {
    max-width: 58.333333%;
    width: 51%;
    float: left;
  }

  .col-8 {
    max-width: 66.666667%;
    width: 61.5%;
    float: left;
  }

  .col-9 {
    max-width: 75%;
    width: 69.8%;
    float: left;
  }

  .col-10 {
    max-width: 83.333333%;
    width: 80.4%;
    float: left;
  }

  .col-11 {
    max-width: 91.666667%;
    width: 86.3%;
    float: left;
  }

  .col-12 {
    max-width: 100%;
    width: 99.7%;
    float: left;
  }

  .pading-tb-0 {
    padding: 0 15px;
  }

  .pading-tb-r-0 {
    padding: 0 0;
  }

  .pading-tb-15 {
    padding: 15px 15px;
  }

  .pading-tb-20 {
    padding: 30px 15px;
  }

  .pading-tb-40 {
    padding: 60px 30px;
  }

  .pading-concepto-0 {
    padding: 0 15px;
  }

  .border {
    border: #000000 solid 1px;
  }

  .center {
    text-align: center;
  }

  .espacio-firma {
    margin-top: 90px;
  }

  .tabla-informacion {
    width: 97%;
    margin-top: 0;
    margin-left: 20px;
    margin-right: 20px;
    margin-bottom: 0;
    border-spacing: 0;
    border-collapse: collapse;
    table-layout: fixed;
  }

  .tabla-informacion td {
    border: 1px solid #c4c4c4;
    text-align: start;
    vertical-align: middle;
    font-size: 11px;
    height: 20px;
  }
</style>
<div class="container">
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center" style="background-color: #863695; color:white">
        <strong>
          SUJETO OBLIGADO
        </strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-center" style="margin-top:12px">
    <tr>
      <td class="col-table-12">
        <strong>
          <?= $solicitud->sujetoObligado->nombre ?>
          <!-- Instituto Sonorense de Transparencia, Acceso a la Información Pública y Datos Personales -->
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-4">
        <strong>Fecha de Recepción(dd-mm-aaaa):</strong>
      </td>
      <td class="col-table-3 td-subrayado td-center">
        <?php
        $date = '';
        if ($solicitud->recepcion) {
          $tz = new DateTimeZone('America/Hermosillo');
          $date = new DateTime($solicitud->recepcion);
          $date->setTimezone($tz);
          $date = $date->format('d-m-Y');
        }
        echo $date;
        ?>
      </td>
      <td class="col-table-2">
        <strong>Hora(hh:mm):</strong>
      </td>
      <td class="col-table-3 td-subrayado td-center">
        <?php
        $hora = '';
        if ($solicitud->recepcion) {
          $tz = new DateTimeZone('America/Hermosillo');
          $hora = new DateTime($solicitud->recepcion);
          $hora->setTimezone($tz);
          $hora = $hora->format('H:i:s');
        }
        echo $hora
        ?>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center" style="background-color: #863695; color:white">
        <strong>
          DATOS DEL SOLICITANTE
        </strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-center" style="margin-top:12px">
    <tr>
      <td class="col-table-12">
        <strong>
          <?= $solicitante->nombre ?>
          <!-- Instituto Sonorense de Transparencia, Acceso a la Información Pública y Datos Personales -->
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-3 td-border td-center" style="background-color: #863695; color:white">
        <strong>
          DOMICILIO
        </strong>
      </td>
      <td class="col-table-9 td-center">
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding">
    <tr>
      <td class="col-table-3">
        <strong>
          PAÍS:
        </strong>
      </td>
      <td class="col-table-3 td-center td-subrayado ">
        No Porporcionado
      </td>
      <td class="col-table-3 td-center">
      </td>
      <td class="col-table-3 td-center">
      </td>
    </tr>
    <tr>
      <td class="col-table-3">
        <strong>
          DOMICILIO:
        </strong>
      </td>
      <td colspan="3" class="col-table-9 td-subrayado ">
        No Porporcionado
      </td>
    </tr>
    <tr>
      <td class="col-table-3">
        <strong>
          CORREO ELECTRÓNICO:
        </strong>
      </td>
      <td colspan="3" class="col-table-3 td-subrayado ">
        <?= $solicitud->correo ?>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse ">
    <tr>
      <td class="col-table-7" style="vertical-align: middle;">
        <strong style="color:#00837f">Número de Folio de la Solicitud:</strong>
      </td>
      <td class="col-table-5">
        <a href="https://sistai.web.app/seguimiento-solicitud/formato-solicitud?solicitud=<?$solicitud->id?>"><strong ><?= $solicitud->folio ?></strong><img src="/img/cursor_url.jpg" alt="ícono" width="20px"/></a>
      </td>
    </tr>
    <?php if (isset($solicitud->recursosRevision) && count($solicitud->recursosRevision) > 0) : ?>
      <tr>
        <td class="col-table-7">
          <strong style="color:#00837f">Número de Folio de Recurso de Revisión:</strong>
        </td>
        <td class="col-table-5">
          <a href="https://sistai.web.app/seguimiento-solicitud/formato-solicitud?solicitud=<?$solicitud->id?>"><strong ><?= $solicitud->recursosRevision[0]->folio ?></strong><img src="/img/cursor_url.jpg" alt="ícono" width="20px"/></a>
        </td>
      </tr>
    <?php endif ?>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse td-border td-center" style="margin-top:12px">
    <tr>
      <td class="col-table-12">
        <br />
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-10 td-border td-center">
        <br />
      </td>
    </tr>
  </table>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12" style="background-color: #863695; color:white">
        <strong>Solicitud de información</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-12">
        <?= $solicitud->descripcion ?>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-8 td-border" colspan="2" style="background-color: #863695; color:white">
        <strong>MODALIDAD DE ENTREGA</strong>
      </td>
      <td class="col-table-4"></td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding">
    <?php
    $contador = 0;
    foreach ($modalidadEntrega as $entrega) {
      if ($contador % 3 == 0) {
        echo '<tr>';
      }

      if ($entrega['id'] === $solicitud->idModalidadEntrega) {
        echo '<td class="col-table-4"><span style="background-color: #D9B5E5">' . $entrega['label'] . '</span></td>';
      } else {
        echo '<td class="col-table-4"><span>' . $entrega['label'] . '</td>';
      }

      if ($contador % 3 == 2) {
        echo '</tr>';
      }

      $contador++;
    }

    if ($contador % 3 != 0) {
      echo '</tr>';
    }

    if ($solicitud->idModalidadEntrega === 6) {
    ?>
      <tr>
        <td class="col-table-4">
          Especificar:
        </td>
        <td class="col-table-4">
          <?= $solicitud->otroModalidadEntrega ?>
        </td>
      </tr>
    <?php
    }
    ?>
    <!-- <tr>
      <td class="col-table-4">
        A través del SAIMEX
      </td>
      <td class="col-table-4">
        Copias Simples(con costo)
      </td>
      <td class="col-table-4">
        Consulta Directa(sin costo)
      </td>
    </tr>
    <tr>
      <td class="col-table-4">
        CD-ROM(con costo)
      </td>
      <td class="col-table-4">
        Copias Certificadas(con costo)
      </td>
      <td class="col-table-4">
        Disquete 3.5(con costo)
      </td>
    </tr>
    <tr>
      <td>
        OTRO TIPO DE MEDIO (Especificar):
      </td>
      <td colspan="2">
      </td>
    </tr> -->
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center" style="background-color: #863695; color:white">
        <strong>
          DOCUMENTOS ANEXOS
        </strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border">
    <tr>
      <td class="col-table-12">
        <ul>
          <?php
          foreach ($media as $archivo) :
          ?>
            <li>
              <a href="<?= $archivo->ruta ?>" target="_blank">
                <?= $archivo->nombre ?>
              </a>
            </li>
          <?php
          endforeach
          ?>
        </ul>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-12 td-border td-center" style="background-color: #863695; color:white">
        <strong>
          PLAZO DE RESPUESTA
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix"><br /></div>
  <?php
  $plazoTresDias = new DateTime($solicitud->recepcion);
  $plazoCincoDias = new DateTime($solicitud->recepcion);
  $plazoQuinceDias = new DateTime($solicitud->recepcion);
  date_add($plazoTresDias, date_interval_create_from_date_string('3 days'));
  date_add($plazoCincoDias, date_interval_create_from_date_string('5 days'));
  date_add($plazoQuinceDias, date_interval_create_from_date_string('15 days'));
  ?>
  <table class="table-acuse td-border td-padding">
    <tr>
      <td class="col-table-8">
        <strong>Estado Actual:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        <?= $solicitud->estatus->nombre ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>Incompetencia y Parcialmente Incompetencia:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        3 días hábiles <?= $plazoTresDias->format('d/m/Y') ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>Fecha de Posible Requerimiento de Aclaración de la Información:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        5 días hábiles <?= $plazoCincoDias->format('d/m/Y') ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>En Caso de Negativa a la Información: Improcedente, Inexistente, Confidencial y Reservada :</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        5 días hábiles <?= $plazoCincoDias->format('d/m/Y') ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>En Caso de Reproducción con Costo:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        5 días hábiles <?= $plazoCincoDias->format('d/m/Y') ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-8">
        <strong>Fecha Límite de Respuesta:</strong>
      </td>
      <td class="col-table-4 td-subrayado">
        15 días hábiles <?= $plazoQuinceDias->format('d/m/Y') ?>
      </td>
    </tr>
  </table>
</div>