<?php

use yii\db\Migration;

/**
 * Class m240507_043647_productos
 */
class m240507_043647_productos extends Migration {
  /**
   * {@inheritdoc}
   */
  public function safeUp() {
    $this->createTable("Producto", [
      "id" => $this->string(36),
      "nombre" => $this->string(100),
      "idPadre" => $this->string(36),
      "creado" => $this->timestamp(). " with time zone",
      "modificado" => $this->timestamp(). " with time zone",
      "eliminado" => $this->timestamp(). " with time zone",
    ]);

    $this->addPrimaryKey("ProductoPK", "Producto", "id");
  }

  /**
   * {@inheritdoc}
   */
  public function safeDown() {
    $this->dropTable("Producto");
  }
}
