<?php

use yii\db\Migration;

/**
 * Class m240625_174436_tabla_nivel
 */
class m240625_174436_tabla_nivel extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->createTable("Nivel", [
            "id" => $this->string(36),
            "nombre" => $this->string(100),
            "idMunicipio" => $this->string(36),
            "clave" => $this->string(100),
            "creado" => $this->timestamp(),
            "modificado" => $this->timestamp(),
            "eliminado" => $this->timestamp(),
        ]);

        $this->addPrimaryKey("NivelPK", "Nivel", "id");
        $this->addForeignKey("NivelMunicipioIdFK", "Nivel", "idMunicipio", "Municipio", "id");
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropForeignKey("NivelMunicipioIdFK", "Nivel");
        $this->dropPrimaryKey("NivelPK", "Nivel");
        
        $this->dropTable("Nivel");
    }

}
