<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "CondicionanteCondicionante".
 *
 * @property string $id
 * @property string|null $idCondicionante
 * @property string|null $nombre
 * @property string|null $creado
 * @property string|null $modificado
 * @property string|null $eliminado
 */
class CondicionanteCondicionante extends ModeloBase {
    /**
     * {@inheritdoc}
     */
    public static function tableName() {
        return 'CondicionanteCondicionante';
    }

    /**
     * {@inheritdoc}
     */
    public function rules() {
        return [
            [['id'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idCondicionante'], 'string', 'max' => 36],
            [['nombre'], 'string', 'max' => 100],
            [['id'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels() {
        return [
            'id' => 'ID',
            'idCondicionante' => 'Id Condicionante',
            'nombre' => 'Nombre',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
