<?php

namespace v1\models;

use app\models\CondicionanteDestino as ModelsCondicionanteDestino;

class CondicionanteDestino extends ModelsCondicionanteDestino {
    public function fields() {
        return [
            'idDestino',
            'idCondicionante',
            'creado',
            'modificado',
            'eliminado',
        ];
    }

    public function extraFields() {
        return [
            'destino'
        ];
    }

    public function getDestino() {
        return $this->hasOne(Estado::class, ['id' => 'idDestino']);
    }
}
