<?php

namespace v1\models;

use app\models\Modulo as ModeloModulo;

class Modulo extends ModeloModulo {

  public function fields() {
    return [
      'id',
      'nombre',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'permisos',
    ];
  }

  public function getPermisos() {
    return $this->hasMany(Permiso::class, ['idModulo' => 'id'])->andWhere(['eliminado' => null]);
  }
}
