<?php

namespace v1\models;

class Nivel extends \app\models\Nivel {

  public function fields() {
    return [
      'id',
      'nombre',
      'clave',
      'idMunicipio',
      'creado',
      'modificado',
      'eliminado',
    ];
  }

  public function extraFields() {
    return [
      'municipio'
    ];
  }

  public function getIdMunicipio()
  {
      return $this->hasOne(Municipio::class, ['id' => 'idMunicipio']);
  }
}
