<?php

namespace v1\models;

use app\models\Permiso as ModeloPermiso;

class Permiso extends ModeloPermiso {
	public function fields() {
		return [
			'id',
			'idModulo',
			'nombre',
			'descripcion',
			'creado',
			'modificado',
			'eliminado',
		];
	}
	public function extraFields() {
		return [
			'modulo',
			'permisoUsuarios'
		];
	}
	public function getModulo() {
		return $this->hasOne(Modulo::class, ['id' => 'idModulo']);
	}
	public function getPermisoUsuarios() {
		return $this->hasMany(PermisoUsuario::class, ['idPermiso' => 'id']);
	}
}
