<?php

namespace v1\models;

use app\models\PermisoUsuario as ModeloPermisoUsuario;

class PermisoUsuario extends ModeloPermisoUsuario {
	public function fields() {
		return [
			'id',
			'idUsuario',
			'idPermiso',
			'asignado',
			'modificado',
			'eliminado',
		];
	}
	public function extraFields() {
		return [
			'modulo',
			'permisoUsuarios'
		];
	}

	public function getPermiso() {
		return $this->hasOne(Permiso::class, ['id' => 'idPermiso']);
	}

	public function getUsuario() {
		return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
	}
}
