<?php

namespace v1\models;

use app\models\UsuarioMedia as ModelsUsuarioMedia;

class UsuarioMedia extends ModelsUsuarioMedia
{

  public function fields()
  {
    return [
      'idUsuario',
      'idMedia',
    ];
  }

  public function extraFields()
  {
    return [
      'usuario',
      'media',
    ];
  }

  public function getUsuario()
  {
    return $this->hasOne(Usuario::class, ['id' => 'idUsuario']);
  }

  public function getMedia()
  {
    return $this->hasOne(Media::class, ['id' => 'idMedia']);
  }

}
