<?php

/**
 * @var \yii\web\View $this
 * @var \v1\models\RecursoRevision $recurso
 * @var \v1\models\Usuario $usuario
 */
setlocale(LC_ALL, 'es_ES');
$basePath = \Yii::getAlias('@app') . "/web/";
date_default_timezone_set('America/Hermosillo');
$fecha = date("d/m/Y");
$hora = date("h:i A");
$nombreCompleto = explode(" ", $usuario->nombre);
?>
<style type="text/css">
  .col,
  .col-1,
  .col-10,
  .col-11,
  .col-12,
  .col-2,
  .col-3,
  .col-4,
  .col-5,
  .col-6,
  .col-7,
  .col-8,
  .col-9,
  .col-auto,
  .col-lg,
  .col-lg-1,
  .col-lg-10,
  .col-lg-11,
  .col-lg-12,
  .col-lg-2,
  .col-lg-3,
  .col-lg-4,
  .col-lg-5,
  .col-lg-6,
  .col-lg-7,
  .col-lg-8,
  .col-lg-9,
  .col-lg-auto,
  .col-md,
  .col-md-1,
  .col-md-10,
  .col-md-11,
  .col-md-12,
  .col-md-2,
  .col-md-3,
  .col-md-4,
  .col-md-5,
  .col-md-6,
  .col-md-7,
  .col-md-8,
  .col-md-9,
  .col-md-auto,
  .col-sm,
  .col-sm-1,
  .col-sm-10,
  .col-sm-11,
  .col-sm-12,
  .col-sm-2,
  .col-sm-3,
  .col-sm-4,
  .col-sm-5,
  .col-sm-6,
  .col-sm-7,
  .col-sm-8,
  .col-sm-9,
  .col-sm-auto,
  .col-xl,
  .col-xl-1,
  .col-xl-10,
  .col-xl-11,
  .col-xl-12,
  .col-xl-2,
  .col-xl-3,
  .col-xl-4,
  .col-xl-5,
  .col-xl-6,
  .col-xl-7,
  .col-xl-8,
  .col-xl-9,
  .col-xl-auto {
    position: relative;
    width: 100%;
    display: inline;
    border: solid 1px #fff;
  }

  .container {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
    /* border: solid 1px #fff; */
  }

  .navbar-expand>.container,
  .navbar-expand>.container-fluid {
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap
  }

  .navbar>.container,
  .navbar>.container-fluid {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between
  }

  .titulo {
    background-color: #000;
    color: #fff;
    text-align: center;
    font-size: 13pt;
    font-weight: bold;
    padding: 8px;
    height: 50px
  }

  .subtitulo1 {
    text-align: center;
    font-size: 12pt;
    font-weight: bold;
  }

  .subtitulo2 {
    border-bottom: 2px solid #90a4ae;
    text-align: justify;
    font-size: 12pt;
    font-weight: bold;
  }

  .perfil {
    width: 35% !important;
  }

  .datos {
    width: 65% !important;
  }

  .cell_color {
    border: 1px solid #b2b2b2;
    background-color: #fafafa;
    padding: 3px 5px;
    font-size: 0.85em;
  }

  .cell_datos {
    border: 1px solid #b2b2b2;
    font-size: 0.85em;
  }

  .cell_color_resumen {
    border: 1px solid #b2b2b2;
    background-color: #fafafa;
    text-align: center;
    font-size: 0.85em;
  }

  .tbl_datos {
    padding: 1px 3px;
    font-size: 10pt;
    border: 1px #000000 solid;
    border-collapse: collapse;
    font-family: Arial;
  }

  .tbl_conf {
    font-family: Arial;
  }

  .cell_detalles {
    font-size: 0.85em;
    text-align: justify;
  }

  .header-solicitud th {
    color: #ffffff;
    background-color: #4c5966;
    padding: 4px;
  }

  .table-solicitud {
    font-size: 10px;
    border-collapse: collapse;
    width: 100%
  }

  .table-guia {
    border-collapse: collapse;
    width: 900px
  }

  .table-firmas {
    font-size: 10px;
    text-align: center;
    width: 50%;
    height: 130px;
    vertical-align: bottom;
  }

  .table-solicitud-par {
    background: #ececec;
  }

  .table-solicitud td {
    padding: 10px;
  }

  .table-solicitud {
    border: 1px solid #000;
    border-collapse: collapse;
    margin: 0;
    vertical-align: middle;
    width: 97%;
    font-size: 18px;
  }

  .table-acuse {
    margin: 0;
    vertical-align: middle;
    width: 97%;
    font-size: 20px;
  }


  .table-oficio {
    margin: 0;
    vertical-align: middle;
    width: 97%;
    font-size: 23px;
  }

  .table-solicitud td {
    border: 1px solid #000;
  }

  .clearfix-table {
    margin: 5px
  }

  .td-center {
    text-align: center;
  }

  .td-border {
    border: 1px solid #000;
  }

  .td-padding td {
    padding: 8px 0;
  }

  .td-subrayado {
    border-bottom: 2px solid #000;
  }

  .td-no-borde {
    border: none !important;
  }

  .col-table-1 {
    width: 100px
  }

  .col-table-2 {
    width: 200px
  }

  .col-table-3 {
    width: 300px
  }

  .col-table-4 {
    width: 400px
  }

  .col-table-5 {
    width: 500px
  }

  .col-table-6 {
    width: 600px
  }

  .col-table-7 {
    width: 700px
  }

  .col-table-8 {
    width: 800px
  }

  .col-table-9 {
    width: 900px
  }

  .col-table-10 {
    width: 1000px
  }

  .col-table-11 {
    width: 1100px
  }

  .col-table-12 {
    width: 97%
  }

  .row {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
    float: left;
    border: solid 1px #fff;
  }

  .col-xl-auto {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
    max-width: 100%;
  }

  .col-1 {
    max-width: 8.333333%;
    width: 3.8%;
    float: left;
  }

  .col-2 {
    max-width: 16.666667%;
    width: 9.7%;
    float: left;
  }

  .col-3 {
    width: 24.6%;
    float: left;
  }

  .col-4 {
    max-width: 33.333333%;
    width: 28.55% !important;
    float: left;
  }

  .col-5 {
    max-width: 41.666667%;
    width: 39%;
    float: left;
  }

  .col-6 {
    width: 49.6%;
    float: left;
  }

  .col-req-3 {
    width: 19%;
    float: left;
    display: inline-block;
  }

  .col-req-6 {
    width: 48%;
    float: left;
    display: inline-block;
  }

  .col-7 {
    max-width: 58.333333%;
    width: 51%;
    float: left;
  }

  .col-8 {
    max-width: 66.666667%;
    width: 61.5%;
    float: left;
  }

  .col-9 {
    max-width: 75%;
    width: 69.8%;
    float: left;
  }

  .col-10 {
    max-width: 83.333333%;
    width: 80.4%;
    float: left;
  }

  .col-11 {
    max-width: 91.666667%;
    width: 86.3%;
    float: left;
  }

  .col-12 {
    max-width: 100%;
    width: 99.7%;
    float: left;
  }

  .pading-tb-0 {
    padding: 0 15px;
  }

  .pading-tb-r-0 {
    padding: 0 0;
  }

  .pading-tb-15 {
    padding: 15px 15px;
  }

  .pading-tb-20 {
    padding: 30px 15px;
  }

  .pading-tb-40 {
    padding: 60px 30px;
  }

  .pading-concepto-0 {
    padding: 0 15px;
  }

  .border {
    border: #000000 solid 1px;
  }

  .center {
    text-align: center;
  }

  .espacio-firma {
    margin-top: 90px;
  }

  .tabla-informacion {
    width: 97%;
    margin-top: 0;
    margin-left: 20px;
    margin-right: 20px;
    margin-bottom: 0;
    border-spacing: 0;
    border-collapse: collapse;
    table-layout: fixed;
  }

  .tabla-informacion td {
    border: 1px solid #c4c4c4;
    text-align: start;
    vertical-align: middle;
    font-size: 11px;
    height: 20px;
  }
</style>
<div class="container">
  <table class="table-acuse border">
    <tr>
      <td class="col-table-12 border" colspan="4" style="text-align:center;background:#cccccc; padding:9px 0">
        <strong>RECEPCIÓN</strong>
      </td>
    </tr>
    <tr>
    <tr>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Fecha:</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $fecha ?>
      </td>
      <td class="col-table-4" style=" padding:9px 0">
        <strong>Hora:</strong>
      </td>
      <td class="col-table-2" style=" padding:9px 0">
        <?= $hora ?>
      </td>
    </tr>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td colspan="2" class="col-table-12 td-border" style="text-align: center; background:#cccccc; padding:9px 0">
        <strong>DATOS DEL SOLICITANTE</strong>
      </td>
    </tr>
    <tr>
      <td class="col-table-4 td-border" style=" background:#cccccc; padding:9px 0">
        <strong>PERSONA FÍSICA</strong>
      </td>
      <td class="col-table-8 td-no-borde">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border acuse td-padding">
    <tr>
      <td class="col-table-4" style="text-align: center;padding-top:40px">
        <strong><?= count($nombreCompleto) === 3 ? $nombreCompleto[2] : "____________________________" ?></strong><br>
        <strong>APELLIDO PATERNO</strong>
      </td>
      <td class="col-table-4" style="text-align: center;padding-top:40px">
        <strong><?= $nombreCompleto[1] ? $nombreCompleto[1] : "____________________________" ?></strong><br>
        <strong>APELLIDO MATERNO</strong>
      </td>
      <td class="col-table-4" style="text-align: center;padding-top:40px">
        <strong><?= $nombreCompleto[0] ?></strong><br>
        <strong>NOMBRE(S)</strong>
      </td>
    </tr>
  </table>
  <table class="table-acuse">
    <tr>
      <td class="col-table-4 td-border" style="background:#cccccc; padding:9px 0">
        <strong>PERSONA MORAL</strong>
      </td>
      <td class="col-table-8" style="text-align: center; border:none">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border">
    <tr>
      <td class="col-table-4" style="text-align: center;">
        <strong>RAZÓN O DENOMINACIÓN SOCIAL:</strong>
      </td>
      <td colspan="col-table-8" style="text-align: center;">
      </td>
    </tr>
  </table>
  <table class="table-acuse  td-border">
    <tr>
      <td class="col-table-3">
        <strong>NOMBRE DEL REPRESENTANTE:</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>APELLIDO PATERNO</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>APELLIDO MATERNO</strong>
      </td>
      <td class="col-table-3 td-center" style="padding-top:40px">
        <strong>____________________________</strong><br>
        <strong>NOMBRE(S)</strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-12" style="background:#cccccc;">
        <strong>
          DATOS DEL ACTO DE IMPUGNACIÓN
        </strong>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>SUJETO OBLIGADO QUE LO EMITIÓ</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= $recurso->solicitud->sujetoObligado->nombre ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>ACTO IMPUGNADO</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?= $recurso->actoImpugnado ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>LUGAR Y FECHA DE LA EMISIÓN DEL ACTO</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td class="col-table-12" colspan="2">
        <?php
        $fechaEmicion = '';
        if ($recurso->creado) {
          $tz = new DateTimeZone('America/Hermosillo');
          $fechaEmicion = new DateTime($recurso->creado);
          $fechaEmicion->setTimezone($tz);
          $fechaEmicion = $fechaEmicion->format('d/m/Y');
        }
        echo $fechaEmicion;
        ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#cccccc;">
        <strong>FECHA EN QUE SE TUVO CONOCIMIENTO DEL ACTO IMPUGNADO (dd /mm /aaaa) </strong>
      </td>
      <td class="col-table-4">
        <?php
        $fechaConocimiento = '';
        if ($recurso->creado) {
          $tz = new DateTimeZone('America/Hermosillo');
          $fechaConocimiento = new DateTime($recurso->creado);
          $fechaConocimiento->setTimezone($tz);
          $fechaConocimiento = $fechaConocimiento->format('d/m/Y');
        }
        echo $fechaConocimiento;
        ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-8" style=" background:#cccccc;">
        <strong>NÚMERO DE FOLIO O EXPEDIENTE DE LA SOLICITUD </strong>
      </td>
      <td class="col-table-4">
        <?= $recurso->folio ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-solicitud">
    <tr>
      <td class="col-table-7" style="background:#cccccc;">
        <strong>RAZONES O MOTIVOS DE LA INCONFORMIDAD</strong>
      </td>
      <td class="col-table-5">
      </td>
    </tr>
    <tr>
      <td colspan="12" style="text-align: justify;">
        <?= $recurso->razonesMotivos ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse">
    <tr>
      <td class="col-table-6 td-border" style=" background:#cccccc;">
        <strong>DOCUMENTOS ANEXOS</strong>
      </td>
      <td class="col-table-6">
      </td>
    </tr>
  </table>
  <table class="table-acuse td-border td-padding ">
    <tr>
      <td class="col-table-5">
        Ninguno
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Ninguno" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        Poder
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Poder" ? "X" : "" ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-5">
        Copia de constancia de Notificación
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Copia de la Constancia de Notificación" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        Copia de la resolución
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Copia de Resolución" ? "X" : "" ?>
      </td>
    </tr>
    <tr>
      <td class="col-table-5">
        Otros
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Otros" ? "X" : "" ?>
      </td>
      <td class="col-table-5">
        <?php if ($recurso->documentoAnexo === "Otros") : ?>
          Especifique
        <?php endif ?>
      </td>
      <td class="col-table-1 border" style="text-align:center;">
        <?= $recurso->documentoAnexo === "Otros" ? "{$recurso->documentoAnexoOtro}" : "" ?>
      </td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>Folio de la solicitud de información</strong>
      </td>
      <td class="col-table-4 td-border">
        <strong><?= $recurso->solicitud->folio ?></strong>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
  <div class="clearfix-table"></div>
  <table class="table-acuse td-padding ">
    <tr>
      <td class="col-table-2"></td>
      <td class="col-table-4 td-border">
        <strong>Folio del recurso de revisión</strong>
      </td>
      <td class="col-table-4 td-border">
        <strong><?= $recurso->folio ?></strong>
      </td>
      <td class="col-table-2"></td>
    </tr>
  </table>
</div>